import { char, until } from 'kuebiko'

// https://www.w3.org/TR/WGSL/#comments
const slash = char('\u002f')
const asterisk = char('\u002a')

export const lineComment = seq(slash, slash)

const blockCommentStart = seq(slash, asterisk)
const blockCommentEnd = seq(asterisk, slash)

export const blockComment = seq(
  blockCommentStart,
  until(blockCommentEnd)
)

