import { any, manymn } from 'kuebiko'
import { integerLiteral } from './literal'

const powOf = curry((y, x) => {
  const result = Math.log(y) / Math.log(x)
  return result === Math.floor(result)
})

const decorator = name => seq(char('@'), name)

const align = tag('align')

const binding = tag('binding')
const builtin = tag('builtin')
const compute = tag('compute')
const constant = tag('const')
const diagnostic = tag('diagnostic')
const fragment = tag('fragment')
const group = tag('group')
const id = tag('id')
const interpolate = tag('interpolate')
const invariant = tag('invariant')
const location = tag('location')
const blend_src = tag('blend_src')
const must_use = tag('must_use')
const size = tag('size')
const vertex = tag('vertex')
const workgroup_size = tag('workgroup_size')


