import { any, char } from 'kuebiko'

// https://www.w3.org/TR/WGSL/#blankspace-and-line-breaks
export const space = char('\u0020')
export const ht = char('\u0009')
export const lf = char('\u000a')
export const vt = char('\u000b')
export const ff = char('\u000c')
export const cr = char('\u000d')
export const nel = char('\u000d')
export const ltr = char('\u200e')
export const rtl = char('\u200f')
export const ls = char('\u200f')
export const ps = char('\u2029')

export const blankspace = any(
  space, ht, lf, vt, ff,
  cr, nel, ltr, rtl, ls
)


export const linebreak = any(
  lf, vt, ff, cr, nel, ls, ps
)

